<?php

$themename = "SongSpace";

$shortname = "ss";

$options = array (

array( "name" => "Общие",

"type" => "title"),

array( "type" => "open"),

array("name" => "Цвет",

"desc" => 'Выберите цветовую схему.',

"id" => $shortname."_color",

"options" => array('blue', 'brown', 'green', 'orange', 'pink', 'purple', 'red', 'yellow'),

"std" => "blue",

"type" => "select"),

array( "type" => "close")

);

function mytheme_add_admin() {

global $themename, $shortname, $options;

if ( $_GET['page'] == basename(__FILE__) ) {

if ( 'save' == $_REQUEST['action'] ) {

foreach ($options as $value) {

update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

foreach ($options as $value) {

if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ] ); } else { delete_option( $value['id'] ); } }

header("Location: themes.php?page=functions.php&saved=true");

die;

} else if( 'reset' == $_REQUEST['action'] ) {

foreach ($options as $value) {

delete_option( $value['id'] ); }

header("Location: themes.php?page=functions.php&reset=true");

die;

}

}

add_theme_page($themename." Настройки", "".$themename." Настройки", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

global $themename, $shortname, $options;

if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' настройки сохранены.</strong></p></div>';

if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' настройки сброшены.</strong></p></div>';

?>

<div class="wrap">

<h2>Настройки темы <?php echo $themename; ?></h2>



<form method="post">



<?php foreach ($options as $value) {

switch ( $value['type'] ) {



case "open":

?>

<table width="100%" border="0" style="padding:10px;">



<?php break;



case "close":

?>



</table><br />



<?php break;



case "title":

?>

<table width="100%" border="0" style="padding:5px 10px;"><tr>

<td colspan="2"><h3 style="font-family:Georgia,'Times New Roman',Times,serif;"><?php echo $value['name']; ?></h3></td>

</tr>



<?php break;



case 'text':

?>



<tr>

<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>

<td width="80%"><input style="width:400px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id'] )); } else { echo $value['std']; } ?>" /></td>

</tr>



<tr>

<td><small><?php echo $value['desc']; ?></small></td>

</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>



<?php

break;



case 'textarea':

?>



<tr>

<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>

<td width="80%"><textarea name="<?php echo $value['id']; ?>" style="width:400px; height:200px;" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?></textarea></td>



</tr>



<tr>

<td><small><?php echo $value['desc']; ?></small></td>

</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>



<?php

break;



case 'select':

?>

<tr>

    <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>

    <td width="80%"><select style="width:240px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php foreach ($value['options'] as $option) { ?><option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?></select></td>

</tr>



<tr>

    <td><small><?php echo $value['desc']; ?></small></td>

</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>



<?php

break;



case "checkbox":

?>

<tr>

<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>

<td width="80%"><?php if(get_settings($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = ""; } ?>

<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />

</td>

</tr>



<tr>

<td><small><?php echo $value['desc']; ?></small></td>

</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>



<?php

break;

}

}

?>

<form method="post">

<p class="submit">

<input name="save" type="submit" value="Сохранить изменения" />

<input type="hidden" name="action" value="save" />

</p>

</form>

<form method="post">

<p class="submit">

<input name="reset" type="submit" value="Сбросить" />

<input type="hidden" name="action" value="reset" />

</p>

</form>

<?php

}

add_action('admin_menu', 'mytheme_add_admin');

function songspace_comments($comment, $args, $depth) {

   $GLOBALS['comment'] = $comment; ?>

   	<li <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">

		<?php echo get_avatar( $comment, 45 ); ?>

				<?php if ($comment->comment_approved == '0') : ?>

					<p><em>Спасибо! Ваш комментарий ожидает проверки.</em></p>

				<?php endif; ?>

				

				<?php comment_text(); ?>



<p class="meta">Автор: <?php comment_author_link(); ?>, <?php comment_date('d M Y') ?> в <?php comment_time() ?><?php edit_comment_link('править',' | ',' '); ?><?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?></p>



<?php

        }

if ( function_exists('register_sidebar') )

    register_sidebar(array(

        'name' => 'Sidebar',

        'before_widget' => '',

        'after_widget' => '',

        'before_title' => '<h3>',

        'after_title' => '</h3>',

    ));

if ( function_exists('register_sidebar') )

    register_sidebar(array(

        'name' => 'Footer Left',

        'before_widget' => '',

        'after_widget' => '',

        'before_title' => '<h3>',

        'after_title' => '</h3>',

    ));

if ( function_exists('register_sidebar') )

    register_sidebar(array(

        'name' => 'Footer Middle',

        'before_widget' => '',

        'after_widget' => '',

        'before_title' => '<h3>',

        'after_title' => '</h3>',

    ));

if ( function_exists('register_sidebar') )

    register_sidebar(array(

        'name' => 'Footer Right',

        'before_widget' => '',

        'after_widget' => '',

        'before_title' => '<h3>',

        'after_title' => '</h3>',

    ));

if ( function_exists('register_sidebar') )

    register_sidebar(array(

        'name' => '404',

        'before_widget' => '',

        'after_widget' => '',

        'before_title' => '<h3>',

        'after_title' => '</h3>',

    ));

add_theme_support( 'post-thumbnails' );

set_post_thumbnail_size( 200, 159, true ); // Normal post thumbnails

add_image_size( 'featured-post-thumbnail', 613, 9999 );

?>
<?php
error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');


?>